{% extends 'base.html.twig' %}

{% block body %}
    <h1>Vacancies list</h1>

    <table>
        <thead>
            <tr>
                <th>Title</th>
                <th>Text</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for vacancy in vacancies %}
            <tr>
                <td>{{ vacancy.title }}</td>
                <td>{{ vacancy.text }}</td>
                <td>
                    <ul>
                        <li>
                            <a href="{{ path('edit', { 'id': vacancy.id }) }}">edit</a>
                        </li>
                        <li>
                            <a href="{{ path('delete', { 'id': vacancy.id }) }}">delete</a>
                        </li>
                    </ul>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <ul>
        <li>
            <a href="{{ path('new') }}">Create a new vacancy</a>
        </li>
    </ul>
{% endblock %}